import { Renderer } from './renderer';
import { LinkRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { RendererFactory } from './renderer_factory';
import { Cell, Field } from '../data_tree';
export declare class HTMLLinkRenderer implements Renderer {
    private readonly document;
    constructor(document: Document);
    render(data: Cell): Promise<HTMLElement>;
}
export declare class LinkRendererFactory extends RendererFactory<LinkRenderOptions> {
    static readonly instance: LinkRendererFactory;
    create(document: Document, _styleDefaults: StyleDefaults, _rendererOptions: RendererOptions, _field: Field, _options: LinkRenderOptions): Renderer;
    get rendererName(): string;
}
